﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using MetroFramework.Forms;


namespace Microscope_Control_Application
{
    public partial class CaptureForm : MetroForm
    {

        private Form parent;
        private Timer progressTimer = new Timer();

        public CaptureForm(Form parentForm, bool background)
        {
            InitializeComponent();
            parent = parentForm;
            this.Size = new Size(430,200);
        }

        private void CaptureForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            parent.Enabled = true;
        }

        private void incSampleRate_ValueChanged(object sender, EventArgs e)
        {
            double value = (double)incSampleRate.Value;
            rateWarning.Visible = value <= 2.5;
            incSampleRate.DecimalPlaces = (int)((value % 1) * (14 - 24 * (value % 1)));

        }
    }
}
