﻿using System;
using System.IO;

static class CopyDirectory
{
    public static void Copy(string sourceDirectory, string targetDirectory)
    {
        DirectoryInfo diSource = new DirectoryInfo(sourceDirectory);
       DirectoryInfo diTarget = new DirectoryInfo(targetDirectory);

        CopyAll(diSource, diTarget);
    }

    private static void CopyAll(DirectoryInfo source, DirectoryInfo target)
    {
        Directory.CreateDirectory(target.FullName);

        // Copy each file into the new directory.
        foreach (FileInfo fi in source.GetFiles())
        { 
            fi.CopyTo(Path.Combine(target.FullName, fi.Name), true);
            fi.Delete();
        }
        
    }
    // Output will vary based on the contents of the source directory.
}