﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;
using System.Threading;
using System.ComponentModel;

namespace Microscope_Control_Application
{
    static class Commands
    {

        static public void gatherBackground()
        {
            
        }

        static public void RunPiCommand(string command)
        {
            BackgroundWorker workingThread = new BackgroundWorker();
            workingThread.DoWork += RunCommandWork;
            workingThread.RunWorkerAsync(command);

        }

        static private void RunCommandWork(object sender, DoWorkEventArgs e)
        {
            string command = e.Argument.ToString();
            using (Process cmd = new Process())
            {
                cmd.StartInfo.FileName = @"plink.exe";
                cmd.StartInfo.UseShellExecute = false;
                cmd.StartInfo.CreateNoWindow = true;
                cmd.StartInfo.RedirectStandardInput = true;
                cmd.StartInfo.RedirectStandardOutput = true;
                cmd.StartInfo.Arguments = "-ssh pi@192.168.0.10:22 -pw raspberry";
                cmd.Start();
                cmd.StandardInput.WriteLine(command);
                cmd.StandardInput.WriteLine("exit");
                cmd.StandardOutput.ReadToEnd();
            }
        }
    }


}
