import picamera
import socket

with picamera.PiCamera() as camera:
    camera.resolution = (1024, 768)
    camera.framerate = 30

    server_socket = socket.socket()
    server_socket.bind(('0.0.0.0', 8000))
    server_socket.listen(0)
    connection = server_socket.accept()[0].makefile('wb')
    print 'Recording Started'
    camera.start_recording(connection, format='h264')
    camera.wait_recording(10)
    camera.start_recording('test.avi', splitter_port=2, resize=(320, 240))
    camera.wait_recording(10)
    camera.stop_recording(splitter_port=2)
    camera.stop_recording()
